<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-projects-opening.qdoc -->
  <title>Opening Projects | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Opening Projects</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-project-creating.html" />
  <link rel="next" href="creator-project-qmake-libraries.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-project-creating.html">Creating Projects</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-project-qmake-libraries.html">Adding Libraries to Projects</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Opening Projects</h1>
<span class="subtitle"></span>
<!-- $$$creator-project-opening.html-description -->
<div class="descr"> <a name="details"></a>
<p>Qt Creator stores information that it needs to build projects in a .user file. If Qt Creator cannot find the file when you open an existing project, it prompts you to enter the information. If you created the project by using another Qt Creator instance, Qt Creator asks whether you want to use the old settings. The settings are specific to the development environment, and should not be copied from one environment to another. Therefore, we recommend that you click <b>No</b> and enter the information again in the <b>Configure Project</b> tab.</p>
<p>The <b>Configure Project</b> tab displays a list of <a href="creator-glossary.html#glossary-buildandrun-kit">kits</a> for building and running projects, that are installed on the development PC and configured in <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b>. Select the kits that you want to build and run the project with.</p>
<p class="centerAlign"><img src="images/qtcreator-open-project-kits.png" alt="&quot;Configure Project tab&quot;" /></p><p>Even if you do not intend to build the project, the C++ and QML code models need a Qt version and compiler to offer code completion. To specify them, select the <b>Options</b> link, or select <b>Tools</b> &gt; <b>Options</b> &gt; <b>Kits</b>.</p>
<p>Qt for Python projects rely on the <a href="creator-language-servers.html">language server client</a> for code completion, highlighting, and other useful features.</p>
<p>If Qt Creator cannot find an existing build for a particular <a href="creator-glossary.html#glossary-buildandrun-kit">kit</a>, it starts out from a clean slate, and creates new debug and release build configurations in the specified directory. Qt Creator suggests a name and location for the directory that you can change.</p>
<p>If you have built the project before, Qt Creator can use the existing build configuration to make the exact same build as found in the directory available to Qt Creator. To import a build, specify a directory in the <b>Import Build from</b> section and select <b>Import</b>.</p>
<p>You can edit the build configuration later. For more information, see <a href="creator-build-settings.html#editing-build-configurations">Editing Build Configurations</a>.</p>
<p>To open a project:</p>
<ol class="1" type="1"><li>Select <b>File</b> &gt; <b>Open File or Project</b> (<b>Ctrl+O</b> or <b>Cmd+O</b> on <a href="nolink">macOS</a>) and select the project file for the project to open: <i>.pro</i> (qmake), <i>CMakeLists.txt</i> (CMake), <i>.qbs</i> (Qbs), <i>pyproject</i> (Python), or <i>Makefile.am</i> (Autotools, experimental).</li>
<li>In the <b>Configure Project</b> tab, select kits for building and running your project, and click <b>Configure Project</b>.</li>
</ol>
<p>You can use the following keyboard shortcuts to open projects, depending on the mode you are currently in:</p>
<ul>
<li>In all modes, select <b>Ctrl+O</b> (<b>Cmd+O</b> on <a href="nolink">macOS</a>) to open the <b>Open File</b> dialog, where you can select a project file to open a project.</li>
<li>In all modes, except the <b>Help</b> mode, select <b>Ctrl+Shift+O</b> (<b>Cmd+Shift+O</b> on <a href="nolink">macOS</a>) to open the <b>Load Project</b> dialog, where you can select a project file to open a project.</li>
<li>In the <b>Welcome</b> mode, <b>Projects</b> tab, select <b>Ctrl+Shift+number</b> (<b>Cmd+Shift+number</b> on <a href="nolink">macOS</a>), where the number is the number of a project in the list of recently opened projects.</li>
</ul>
<p>Qt Creator parses all the source files in the project and performs a semantic analysis to build up the information that it needs for functions such as navigation and finding usages. A progress bar is displayed during parsing. To show or hide detailed progress information, select <b>Toggle Progress Details</b> (1).</p>
<p class="centerAlign"><img src="images/creator-toggle-progress-bar.png" alt="&quot;Toggle Progress Details button&quot;" /></p></div>
<!-- @@@creator-project-opening.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-project-creating.html">Creating Projects</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-project-qmake-libraries.html">Adding Libraries to Projects</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
